lv.eparaksts.pdf

## Class PdfVisualSignature

- java.lang.Object
- - lv.eparaksts.pdf.PdfVisualSignature

-     public class PdfVisualSignature
      extends Object

  Represents the PDF visual signature properties.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PdfVisualSignature(int pageNumber, double x, double y, double width, double height)` Constructs PDF visual signature properties with the given arguments.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getHeight()` Returns height of the visual rectangle.
    `int` | `getPageNumber()` Returns the number of the visual signature page.
    `String` | `getSignatureId()` Returns ID of the associated signature.
    `double` | `getWidth()` Returns widht of the visual rectangle.
    `double` | `getX()` Returns x coordinate of the visual rectangle.
    `double` | `getY()` Returns y coordinate of the visual rectangle.
    `void` | `setImage(BufferedImage image)` Sets image of the visual signature.
    `void` | `setText(List<String> text)` Sets text of the visual signature.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PdfVisualSignature

          public PdfVisualSignature(int pageNumber,
                                    double x,
                                    double y,
                                    double width,
                                    double height)

      Constructs PDF visual signature properties with the given arguments.
      Parameters:
        `pageNumber` - the number of the page.
        `x` - x coordinate of the visual rectangle.
        `y` - y coordinate of the visual rectangle.
        `width` - widht of the visual rectangle.
        `height` - height of the visual rectangle.

  - ### Method Detail

    - #### getPageNumber

          public int getPageNumber()

      Returns the number of the visual signature page.
      Returns:
        the number of the page.

    - #### getX

          public double getX()

      Returns x coordinate of the visual rectangle.
      Returns:
        x coordinate.

    - #### getY

          public double getY()

      Returns y coordinate of the visual rectangle.
      Returns:
        y coordinate.

    - #### getWidth

          public double getWidth()

      Returns widht of the visual rectangle.
      Returns:
        widht.

    - #### getHeight

          public double getHeight()

      Returns height of the visual rectangle.
      Returns:
        height.

    - #### setText

          public void setText(List<String> text)

      Sets text of the visual signature.
      Parameters:
        `text` -

    - #### setImage

          public void setImage(BufferedImage image)

      Sets image of the visual signature.
      Parameters:
        `image` -

    - #### getSignatureId

          public String getSignatureId()

      Returns ID of the associated signature.
      Returns:
        ID

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO